Skip to main content
Reliable Services/MN Monitoring APIs
GETMN Monitoring APIsSince 0.6SynchronousAuth Required

Query Management Node

Query Management Node

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation has failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      A brief description of the error.

    • detailsStringRequired

      The detailed error information.

    • elaborationStringRequired

      A reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      A reserved field. Default is null.

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. If there is no root error, this field is null.

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource.

    • hostNameStringRequired

      The host name

    • joinDateTimestampRequired

      The join time

    • heartBeatTimestampRequired

      The heartbeat time

Endpoint

GET/zstack/v1/management-nodes

/zstack/v1/management-nodes

Operation ID

QueryManagementNode

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/management-nodes' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "188b2c6376c34d3687c5a7a19685ffa6", "hostName": "127.0.0.1", "joinDate": "May 11, 2017 1:22:44 PM", "heartBeat": "May 11, 2017 1:22:44 PM" } ] }

Change History

This API has no change history records yet.

View all change history